<?php

/*********************************************************************

 アルバムレスポンスdisplayプラグイン (2015/09/16)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

//外部ファイル読み込み
require_once FREO_MAIN_DIR . 'freo/plugins/security_plugin_albumres.php';

/* メイン処理 */
function freo_display_albumres()
{
	global $freo;

	//パラメータ検証
	if (!isset($_GET['album_id']) and isset($freo->parameters[2])) {
		$_GET['album_id'] = $freo->parameters[2];
	}

	//検索条件設定
	$ascending = false;
	if ($freo->config['plugin']['albumres']['albumres_order'] == 'ascend') {
		$ascending = true;
	}
	if ($ascending == true) {
		$order = ' id';
	} else {
		$order = ' id DESC';
	}

	//アルバムレスポンス取得
	$stmt = $freo->pdo->prepare('SELECT * FROM ' . FREO_DATABASE_PREFIX . 'plugin_albumreses WHERE album_id = :album_id ORDER BY' . $order);
	$stmt->bindValue(':album_id', $_GET['album_id']);
	$flag = $stmt->execute();
	if (!$flag) {
		freo_error($stmt->errorInfo());
	}

	$plugin_albumreses = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$plugin_albumreses[$data['id']] = $data;
	}

	//アルバムレスポンスID取得
	$plugin_albumres_keys = array_keys($plugin_albumreses);

	//アルバムレスポンス保護データ取得
	$plugin_albumres_securities = freo_security_plugin_albumres('user', $plugin_albumres_keys);

	foreach ($plugin_albumres_securities as $id => $security) {
		if (!$security) {
			continue;
		}

		$plugin_albumreses[$id]['name']      = $freo->config['plugin']['albumres']['restriction_name'];
		$plugin_albumreses[$id]['mail']      = null;
		$plugin_albumreses[$id]['url']       = null;
		$plugin_albumreses[$id]['text']      = $freo->config['plugin']['albumres']['restriction_text'];

	}

	//アルバム全件取得
	$stmt = $freo->pdo->prepare('SELECT * FROM ' . FREO_DATABASE_PREFIX . 'plugin_albums');
	$flag = $stmt->execute();
	if (!$flag) {
		freo_error($stmt->errorInfo());
	}

	$plugin_album_alls = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$plugin_album_alls[$data['id']] = $data;
	}

	//アルバムID取得
	$plugin_album_all_keys = array_keys($plugin_album_alls);

	//データ初期化
	$albumres_counts = array();
	foreach ($plugin_album_all_keys as $plugin_album_all) {
		$albumres_counts[$plugin_album_all] = 1;
	}

	//アルバムごとのアルバムレスポンス数取得
	$stmt = $freo->pdo->query('SELECT album_id, COUNT(*) FROM ' . FREO_DATABASE_PREFIX . 'plugin_albumreses WHERE album_id IN(' . implode(',', $plugin_album_all_keys) . ') GROUP BY album_id');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	while ($data = $stmt->fetch(PDO::FETCH_NUM)) {
		$albumres_counts[$data[0]] = 1 + $data[1];
	}


	//データ割当
	$freo->smarty->assign(array(
		'token'                 => freo_token('create'),
		'plugin_albumreses'      => $plugin_albumreses,
		'plugin_album_alls'      => $plugin_album_alls,
		'plugin_albumres_counts' => $albumres_counts
	));

	return;
}

?>
