<?php

/*********************************************************************

 新着アルバムレスポンス表示プラグイン (2015/09/09)

  32877|http://32877.xii.jp

*********************************************************************/

//外部ファイル読み込み
require_once FREO_MAIN_DIR . 'freo/plugins/security_plugin_albumres.php';

/* メイン処理 */
function freo_display_albumres_recently()
{
	global $freo;

	if ($freo->config['plugin']['albumres_recently']['default_limit'] == 0) {
		return;
	}

	//レスポンス取得
	$stmt = $freo->pdo->prepare('SELECT * FROM ' . FREO_DATABASE_PREFIX . 'plugin_albumreses ORDER BY created DESC LIMIT :limit');
	$stmt->bindValue(':limit', intval($freo->config['plugin']['albumres_recently']['default_limit']), PDO::PARAM_INT);
	$flag = $stmt->execute();
	if (!$flag) {
		freo_error($stmt->errorInfo());
	}

	$plugin_albumreses = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$plugin_albumreses[$data['id']] = $data;
	}

	//レスポンスID取得
	$plugin_albumres_keys = array_keys($plugin_albumreses);

	//レスポンス保護データ取得
	$plugin_albumres_securities = freo_security_plugin_albumres('user', $plugin_albumres_keys);

	foreach ($plugin_albumres_securities as $id => $security) {
		if (!$security) {
			continue;
		}

		$plugin_albumreses[$id]['name']      = $freo->config['plugin']['albumres']['restriction_name'];
		$plugin_albumreses[$id]['mail']      = null;
		$plugin_albumreses[$id]['url']       = null;
		$plugin_albumres_files[$id]         = null;
		$plugin_albumreses[$id]['text']      = $freo->config['plugin']['albumres']['restriction_text'];

	}

	//データ割当
	$freo->smarty->assign(array(
		'plugin_albumres_recentries'          => $plugin_albumreses,
	));

	return;
}

?>
